Subject: [AVT] AD review: draft-ietf-avt-rtp-rfc3984bis-08

From: Robert Sparks <[email-masked]>
Date: Thu, 11 Feb 2010 14:25:27 -0600

This document is close to ready to move into IETF LC.

The document structure is odd (and it broke the Table of Contents  
pretty badly).
The last two sections should move into the main body of the document .  
I'd like a
revision of the document that fixes that before requesting IETF LC.  
There are a
couple of very minor nits and one request below that could be  
addressed during
that revision.

I did a careful review of the changes in normative content. Some of the
structural changes to the document made this very hard to do (it broke  
diff
and wdiff). Please keep this in mind when updating future documents.

I'm convinced that all the normative changes outside of section 8.2.2  
are
called out correctly in section 18. I'm not as comfortable with the  
changes
that are in 8.2.2 (only because the degree of changes make it very  
hard to
do A<->B comparisons). It would be useful to the reviewer and
implementer to point out in section 18 that section 8.2.2 is where much
of the important change in this draft occurs and deserves particular  
attention.
Please add such a note.

Has anyone started collecting interop-report data for this document?

Nits:

In section 17, "not a superset" should have been "not a subset" I think.

The last sentence in the first paragraph of section 18 should end with
"in this section"  rather than "in this memo".

---

From: Ye-Kui Wang <[email-masked]>
Date: Fri, 12 Feb 2010 18:30:13 -0500

Thanks Robert for the review and the comments. The draft has been revised
and the new submission is here:
http://www.ietf.org/id/draft-ietf-avt-rtp-rfc3984bis-09.txt.
 
Updates include suggested changes from Stuart Taylor, Tom Taylor (see
previous emails to AVT list) and Robert. How Robert's comments are addressed
are explained below, inline.

BR, YK

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Robert Sparks
> Sent: Thursday, February 11, 2010 3:25 PM
> To: [email-masked]
> Cc: Cullen Jennings; 
> [email-masked]; 
> [email-masked]
> Subject: [AVT] AD review: draft-ietf-avt-rtp-rfc3984bis-08
> 
> The document structure is odd (and it broke the Table of 
> Contents pretty badly).

Done.

> addressed during that revision.
> 
> I did a careful review of the changes in normative content. 
> Some of the structural changes to the document made this very 
> hard to do (it broke diff and wdiff). Please keep this in 
> mind when updating future documents.
> 

Will do in the future. 

> I'm convinced that all the normative changes outside of 
> section 8.2.2 are called out correctly in section 18. I'm not 
> as comfortable with the changes that are in 8.2.2 (only 
> because the degree of changes make it very hard to do A<->B 
> comparisons). It would be useful to the reviewer and 
> implementer to point out in section 18 that section 8.2.2 is 
> where much of the important change in this draft occurs and 
> deserves particular attention.
> Please add such a note.

Note added in the first paragraph of section where the changes are listed. 

> Has anyone started collecting interop-report data for this document?

Not that I am aware of.

> In section 17, "not a superset" should have been "not a 

The current text is correct. This is because of the following sentence in
RFC 3984: 

"In addition, an answerer MUST maintain all parameter sets received in the
offer in its answer."

> 
> The last sentence in the first paragraph of section 18 should 
> end with "in this section"  rather than "in this memo".
> 

Changed.

> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
>